id: plants
source: spirit
source-layer: plants
type: symbol
layout:  
  icon-size: 1
  icon-image:
    - match
    - [get, plant]
    - tree
    - tree
    - shrub
    - shrub
    - cave_entrance
    - cave_entrance
    - sinkhole 
    - sinkhole
    - waterhole
    - waterhole 
    - alpage
    - alpage 
    - feature
    - feature
    - peak
  icon-allow-overlap: true   
  text-optional: true
  text-field: '{name}'
  text-font: !!inc/file style/inc/regular-font.yaml
  text-size: 12
  text-offset: [0, 0.4]
  text-anchor: top
paint:
  text-color: '#663d06' # lch(30,40,70)
  text-halo-width: .5
  text-halo-color: '#f1e0d1'

